NCDU(1)

NAME
ncdu - NCurses Disk Usage

SYNOPSIS
ncdu [-hqvx] [--exclude PATTERN] [-X FILE] dir

DESCRIPTION
ncdu (NCurses Disk Usage) is a curses-based version of the well-known 'du', and provides a fast way to see what directories are using your disk space.

OPTIONS

-h  Print a small help message

-q  Quiet mode. While calculating disk space, ncdu will update the screen 10 times a second by default, this will be decreased to once every 2 seconds in quiet mode. Use this feature to save bandwidth over remote connections.

-v  Print version.

-x  Only count files and directories on the same filesystem as the specified dir.

--exclude PATTERN
    Exclude files that match PATTERN. This argument can be added multiple times to add more patterns.

-X FILE, --exclude-from FILE
    Exclude files that match any pattern in FILE. Patterns should be seperated by a newline.

KEYS

?   Show help + keys + about screen

up, down j, k
    Cycle through the items

right, enter, l
    Open selected directory

left, <, h
    Go to parent directory

n   Order by filename (press again for descending order)

s   Order by filesize (press again for descending order)

a   Toggle between showing disk usage and showing apparent size.

d   Delete the selected file or directory. An error message will be shown when the contents of the directory do not match or do not exist anymore on the filesystem.

t   Toggle dirs before files when sorting.

g   Toggle between showing percentage, graph, both, or none. Percentage is relative to the size of the current directory, graph is relative to the largest item in the current directory.

e   Show/hide 'hidden' or 'excluded' files and directories. Please note that even though you can't see the hidden files and directories, they are still there and they are still included in the directory sizes. If you suspect that the totals shown at the bottom of the screen are not correct, make sure you haven't enabled this option.

i   Show information about the current selected item.

r   Refresh/recalculate the current directory.

q   Quit

AUTHOR
Written by Yoran Heling <projects@yorhel.nl>.

BUGS
Infinite. Please contact the author if you find one.

SEE ALSO
du(1)